Create Withdrawal
curl --request POST \
--url https://synthesis.trade/api/v1/wallet/sol/{wallet_id}/withdraw \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"token": "USDC",
"amount": "25.00",
"address": "7xKXtg2CWz9P8VxP1Wm2G7x5Q8Y9LwYH6a7b8c9d1e2F",
"chain": "SOLANA"
}
'import requests
url = "https://synthesis.trade/api/v1/wallet/sol/{wallet_id}/withdraw"
payload = {
"token": "USDC",
"amount": "25.00",
"address": "7xKXtg2CWz9P8VxP1Wm2G7x5Q8Y9LwYH6a7b8c9d1e2F",
"chain": "SOLANA"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: 'USDC',
amount: '25.00',
address: '7xKXtg2CWz9P8VxP1Wm2G7x5Q8Y9LwYH6a7b8c9d1e2F',
chain: 'SOLANA'
})
};
fetch('https://synthesis.trade/api/v1/wallet/sol/{wallet_id}/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": {
"tx_hash": "5QqJcC8Rj9o3v7x2Yp4mN6bT1rE8uKzA2sD4fG7hJ9kL"
}
}Solana
Create Withdrawal
Withdraw assets from a Solana wallet.
Create Withdrawal
Authorizations
AccountApiKeyAccountSession
Account secret API key.
Path Parameters
Body
application/json
Supported values depend on chain: SOLANA supports USDC; POLYGON, ETHEREUM, BASE, BINANCE, ARBITRUM, and OPTIMISM support USDC or USDT; TRON supports USDT only.
Example:
"USDC"
Positive decimal withdrawal amount.
Example:
"25.00"
Example:
"7xKXtg2CWz9P8VxP1Wm2G7x5Q8Y9LwYH6a7b8c9d1e2F"
Destination chain. Supported values: SOLANA, POLYGON, ETHEREUM, BASE, BINANCE, ARBITRUM, OPTIMISM, TRON.
Example:
"SOLANA"
Response
201 - application/json
Solana withdrawal created
⌘I